Page MenuHomePhabricator

Edit graph size in VisualEditor
Closed, ResolvedPublic1 Story Points

Description

Users should be able to specify the width and height of a graph from within the graph editing tool in VisualEditor.

Event Timeline

ferdbold raised the priority of this task from to Lowest.
ferdbold updated the task description. (Show Details)
ferdbold moved this task to Backlog on the Graph-VisualEditor board.
ferdbold added a subscriber: ferdbold.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 8:50 PM
ferdbold raised the priority of this task from Lowest to High.Sep 24 2015, 9:07 PM
ferdbold set Security to None.
Jdforrester-WMF edited a custom field.

You can use ve.ui.DimensionsWidget in the form. You can also mixin ResizableNode so you can drag-resize like with images.

Change 253537 had a related patch set uploaded (by Ferdbold):
Edit graph size in VisualEditor

https://gerrit.wikimedia.org/r/253537

Change 253819 had a related patch set uploaded (by Ferdbold):
[WIP] Resizable graph nodes

https://gerrit.wikimedia.org/r/253819

Change 253537 merged by jenkins-bot:
Edit graph size in VisualEditor

https://gerrit.wikimedia.org/r/253537

Change 253819 merged by jenkins-bot:
Resizable graph nodes

https://gerrit.wikimedia.org/r/253819

Jdforrester-WMF closed this task as Resolved.Nov 19 2015, 2:38 AM
Jdforrester-WMF removed a project: Patch-For-Review.